Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface WLECConnectionRuntimeMBean

public interface WLECConnectionRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring individual WebLogic WLEC connections

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getAddress()` Returns the connection Address
`int` | `getErrorCount()` Returns the Request Error Count
`java.lang.String` | `getLastAccessTime()` Returns the Last Access Date and Time
`int` | `getPendingRequestCount()` Returns the Pending Request Count
`int` | `getRequestCount()` Returns the Request Count
`boolean` | `isAlive()` Returns the Connection Alive indicator
`boolean` | `isInTransaction()` Returns the Connection in Transaction indicator

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAddress

    public java.lang.String getAddress()

  Returns the connection Address

  Returns:
    The address value

### getLastAccessTime

    public java.lang.String getLastAccessTime()

  Returns the Last Access Date and Time

  Returns:
    The lastAccessTime value

### isAlive

    public boolean isAlive()

  Returns the Connection Alive indicator

  Returns:
    The alive value

### getRequestCount

    public int getRequestCount()

  Returns the Request Count

  Returns:
    The requestCount value

### getPendingRequestCount

    public int getPendingRequestCount()

  Returns the Pending Request Count

  Returns:
    The pendingRequestCount value

### getErrorCount

    public int getErrorCount()

  Returns the Request Error Count

  Returns:
    The errorCount value

### isInTransaction

    public boolean isInTransaction()

  Returns the Connection in Transaction indicator

  Returns:
    The inTransaction value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD